local M = {}
local infinitePropSpin = 0
local spinSpeed = 0

local function updateGFX(dt)
       infinitePropSpin = electrics.values.infinitePropSpin
       electrics.values.infinitePropSpin = (infinitePropSpin + dt * spinSpeed) % 360
end

local function init(jbeamData)
       electrics.values.infinitePropSpin = 0
       infinitePropSpin = 0

       spinSpeed = jbeamData.spinSpeed or 800
end

M.updateGFX = updateGFX
M.init = init
M.reset = init

return M